Retrieve JWT token by Access Token

Retrieves a JWT token using an Access Token obtained after successful login.

GET
/api/jwt/{JwtAppName}/token

Retrieves a JWT token using an Access Token obtained after successful login.

Authorization

apikey<token>

Tenant API Key for authentication

In: query

access_token<token>

Access Token in QueryString

In: query

Path Parameters

JwtAppName*string

JWT App Name

Query Parameters

Nonce?string

random nonce claim

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://TenantName.hub.loginradius.com/api/jwt/example_jwt_app/token?Nonce=3f444945100b4730810bf4598841769d"
{
  "signature": "eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJhdWQiOiIxMTI1NjNmNi0xNDgwLTQwYjgtOGUyOC1lMDcyY2EyMTJjODIiLCJlbWFpbCI6Im1heWFua2xydGVzdDIrQGdtYWlsLmNvbSIsImV4cCI6MTc0NTQ4MzA4MSwiZmlyc3RuYW1lIjoiTWF5YW5rIiwiaWF0IjoxNzQ1NDgxMjgxLCJpc3MiOiJodHRwczovL2ludGVybmFsLW1heWFuay5odWIubG9naW5yYWRpdXMuY29tLyIsImp0aSI6IjlhNGZkOGY1LWU4NDMtNDgzZS1hODNiLTJlNTM4NzY5ZTYxNiIsImxhc3RuYW1lIjoiQWdhcndhbCIsIm5iZiI6MTc0NTQ4MTI4MSwic3ViIjoiMWFjM2Q5ZGMzYzdkNDJlMDhhMzJiZjU0NjIyYmNjYzMifQ.m88HgYiikjAJju5mKeqJLgdEbqoAGGLVGLhxmB81jWc"
}

{
  "Description": "A potentially dangerous request value was detected.",
  "ErrorCode": 1214,
  "Message": "Dangerous request"
}

{
  "Description": "The JWT configuration not found or the resource does not exist.",
  "ErrorCode": 1180,
  "Message": "JWT configuration not found."
}

{
  "Description": "The LoginRadius access token has expired, please request a new token from LoginRadius API.",
  "ErrorCode": 906,
  "Message": "Access token has expired"
}